iconutil(1)

NAME
iconutil - Utility to convert between '.iconset' and '.icns' files.

SYNOPSIS
iconutil -c {icns | iconset} [-o file] file

DESCRIPTION
iconutil converts between '.iconset' and '.icns' files. The tool takes a single source '.icns' file or '.iconset' and converts it to either a '.icns' or '.iconset' depending on the value of the -c flag's argument. It is possible to specify the name of the output file by passing the file path as the argument to the -o flag. If -o is not set iconutil will write converted '.icns' file or '.iconset' to the same directory as the source file using the same file name with the correct extension for the output type.

OPTIONS

-c - -convert {icns | iconset}
    Given the argument iconset, iconutil converts the source '.icns' file to an '.iconset'. The '.iconset' is saved in the same directory as the source '.icns'. It is given the same file name as but with the '.iconset' file extension. If the argument is icns, iconutil converts the source '.iconset' to an '.icns'. The '.icns' is saved in the same directory as the source '.iconset'. It is given the same file name as the source file but with the '.iconset' file extension.

-o - -output
    Overrides the default output file name that iconutil uses to save the converted '.iconset' or '.icns' files.

FILES
/usr/bin/iconutil